## mow-wallpapers 2022.1.0-7

=== Makefile ===
#!/usr/bin/make -f

include VERSION
THEME= $(CODENNAME_SAFE)
SIZES= 640x480 800x600 1024x600 1024x768 1152x864 1280x720 1280x800 1280x1024 \
       1366x768 1440x900 1440x1050 1600x1200 1680x1050 1920x1080 1920x1200 \
       2560x1080 2560x1440 2560x1600 2560x2048 3440x1440 3840x2160

all: $(SIZES) 400x250 background
	mkdir -p build/${CODENAME_SAFE}
	cp metadata.desktop build/${CODENAME_SAFE}


400x250:
	mkdir -p build/${CODENAME_SAFE}/contents/
	$(RM) build/${CODENAME_SAFE}/contents/screenshot.png
	inkscape --without-gui --export-width=$(firstword $(subst x, ,$@ )) \
	    --export-height=$(lastword $(subst x, ,$@ )) \
	    --export-filename="build/${CODENAME_SAFE}/contents/screenshot.png" svg/1920x1200.svg
	convert -quality 90 "build/${CODENAME_SAFE}/contents/screenshot.png" "build/${CODENAME_SAFE}/contents/screenshot.jpg"
	$(RM) "build/${CODENAME_SAFE}/contents/screenshot.png"

background:
	mkdir -p build/${CODENAME_SAFE}/contents/
	$(RM) build/${CODENAME_SAFE}/contents/background.png
	inkscape --without-gui --export-width=1920 \
	    --export-height=1080 \
	    --export-filename="build/${CODENAME_SAFE}/contents/background.png" svg/1920x1080.svg
	convert -quality 90 "build/${CODENAME_SAFE}/contents/background.png" "build/${CODENAME_SAFE}/contents/background.jpg"
	$(RM) "build/${CODENAME_SAFE}/contents/background.png"

$(SIZES):
	mkdir -p build/${CODENAME_SAFE}/contents/images/
	$(RM) build/${CODENAME_SAFE}/contents/images/$@.png
	inkscape --without-gui --export-width=$(firstword $(subst x, ,$@ )) \
	    --export-height=$(lastword $(subst x, ,$@ )) \
	    -l --export-filename="build/${CODENAME_SAFE}/contents/images/$@.svg" svg/$@.svg
	#convert -quality 90 "build/${CODENAME_SAFE}/contents/images/$@.png" "build/${CODENAME_SAFE}/contents/images/$@.jpg"
	$(RM) "build/${CODENAME_SAFE}/contents/images/$@.png"

clean:
	$(RM) -r build/

=== debian/changelog ===
mow-wallpapers (2022.1.0-7) unstable; urgency=medium

  * include deepspace for a last time

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 14 Dec 2022 18:10:23 +0100

mow-wallpapers (2022.1.0-6) unstable; urgency=medium

  * activate background target in Makefile

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 14 Dec 2022 17:43:02 +0100

mow-wallpapers (2022.1.0-5) unstable; urgency=medium

  * package latest changes

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 14 Dec 2022 14:31:41 +0100

mow-wallpapers (2022.1.0-4) unstable; urgency=medium

  * packaging latest changes

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 14 Dec 2022 11:46:59 +0100

mow-wallpapers (2022.1.0-3) unstable; urgency=medium

  * new graphic

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 13 Dec 2022 08:57:10 +0100

mow-wallpapers (2022.1.0-2) unstable; urgency=medium

  * change wallpaper

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 10 Dec 2022 22:04:40 +0100

mow-wallpapers (2022.1.0-1) unstable; urgency=medium

  * prepare Masters of War release

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 10 Dec 2022 20:22:47 +0100

wintersky-wallpapers (2021.3.0-1) unstable; urgency=medium

  * wintersky release

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 22 Dec 2021 15:31:23 +0100

wintersky-wallpapers (2021.2.99-8) unstable; urgency=medium

  * test

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 28 Nov 2021 21:29:34 +0100

wintersky-wallpapers (2021.2.99-7) unstable; urgency=medium

  * fix typo in Makefile

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 28 Nov 2021 20:39:03 +0100

wintersky-wallpapers (2021.2.99-6) unstable; urgency=medium

  * packages fixes

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 28 Nov 2021 19:51:01 +0100

wintersky-wallpapers (2021.2.99-5) unstable; urgency=medium

  * generate a background.jpg for xorg

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 28 Nov 2021 19:08:54 +0100

wintersky-wallpapers (2021.2.99-4) unstable; urgency=medium

  * package changes by hendrikl

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 27 Nov 2021 23:11:31 +0100

wintersky-wallpapers (2021.2.99-3) unstable; urgency=medium

  * fix Makefile

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 27 Nov 2021 17:24:09 +0100

wintersky-wallpapers (2021.2.99-2) unstable; urgency=medium

  * prepare wintersky release

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 27 Nov 2021 16:56:24 +0100

farewell-wallpapers (2021.2.0-1) unstable; urgency=medium

  * set final version

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 22 Jul 2021 14:58:49 +0200

farewell-wallpapers (2021.1.99-2) unstable; urgency=medium

  * prepare farewell packaging

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 08 Jun 2021 07:06:45 +0200

cblues-wallpapers (2021.1.0-3) unstable; urgency=medium

  * fix debian/links

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 31 Jan 2021 13:25:25 +0100

cblues-wallpapers (2021.1.0-2) unstable; urgency=medium

  * fix debian/install

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 30 Jan 2021 22:23:02 +0100

cblues-wallpapers (2021.1.0-1) unstable; urgency=medium

  * fix safe codename

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 30 Jan 2021 22:14:50 +0100

c-blues-wallpapers (2021.1.0) unstable; urgency=medium

  [ Hendrik Lehmbruch ]
  * preparing c-blues release

  [ Torsten Wohlfarth ]
  * build and upload for release

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 30 Jan 2021 16:45:45 +0100

patience-wallpapers (2018.3.0-1) unstable; urgency=medium

  * release 18.3
  * 1024x768.svg fixed

 -- Alf Gaida <agaida@siduction.org>  Sat, 12 May 2018 20:43:39 +0200

patience-wallpapers (2018.2.0-3) unstable; urgency=medium

  * another typo fixed

 -- Alf Gaida <agaida@siduction.org>  Sat, 03 Mar 2018 17:09:07 +0100

patience-wallpapers (2018.2.0-2) unstable; urgency=medium

  * some typos fixed

 -- Alf Gaida <agaida@siduction.org>  Sat, 03 Mar 2018 16:46:30 +0100

patience-wallpapers (2018.2.0-1) unstable; urgency=medium

  * release 18.2

 -- Alf Gaida <agaida@siduction.org>  Sat, 03 Mar 2018 00:43:18 +0100

patience-wallpapers (2018.1.0-1) unstable; urgency=medium

  * release 18.1

 -- Alf Gaida <agaida@siduction.org>  Wed, 27 Dec 2017 00:21:46 +0100

patience-wallpapers (2017.1.0-1) unstable; urgency=medium

  * release branding

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Mar 2017 18:15:32 +0100

patience-wallpapers (2016.1.0-1) unstable; urgency=medium

  * the release is near

 -- Alf Gaida <agaida@siduction.org>  Wed, 21 Dec 2016 01:52:30 +0100

patience-wallpapers (2016.1.0~alpha-2) unstable; urgency=medium

  * backgrounds and version in wallpapers fixed

 -- Alf Gaida <agaida@siduction.org>  Sat, 13 Aug 2016 02:46:25 +0200

patience-wallpapers (2016.1.0~alpha-1) unstable; urgency=low

  * initial release

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Aug 2015 22:24:01 +0200

=== debian/control ===
Source: mow-wallpapers
Section: graphics
Priority: optional
Maintainer: Hendrik Lehmbruch <hendrikl@siduction.org>
Build-Depends: debhelper (>= 11),
               inkscape,
               imagemagick,
               fonts-noto,
               fonts-noto-hinted
Standards-Version: 4.1.4
Vcs-Browser: https://github.com/siduction/wallpapers
Vcs-Git: https://github.com/siduction/wallpapers.git

Package: mow-wallpapers
Architecture: all
Depends: ${misc:Depends}
Replaces: siduction-art-wallpaper-mow
Description: Wallpapers for mow
 Release specific wallpapers, compatible with the Cinnamon, Fluxbox, GNOME,
 KDE, NOX, LXDE, LXQt, Mate, Xfce.
 .
 This package does not override existing theme configurations and needs to be
 selected manually.
